import request from '/@/utils/request';
/**
 * @summary 获取所有监测稀释操作
 */
export const GetAllMonitorTransferOpsLevel = async (req: any = request) => {
	return req({
		url: '/Monitor/Transfer/Ops/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个监测稀释操作
 */
export const InsertAMonitorTransferOpsLevel = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Transfer/Ops/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个监测稀释操作
 */
export const UpdateAMonitorTransferOpsLevel = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Transfer/Ops/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改监测稀释操作排序码
 */
export const UpdateMonitorTransferOpsLevelSorter = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Transfer/Ops/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个监测稀释操作
 */
export const DeleteAMonitorTransferOpsLevel = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Transfer/Ops/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};

/**
 *
 * @summary 设置 ★更新方法的状态
 */
export async function UpdateUseStatus(params, req: any = request) {
	return req({
		url: '/Monitor/Transfer/Ops/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
}
